'use strict'

/** @type {import('@adonisjs/lucid/src/Schema')} */
const Schema = use('Schema')

class ElementNotesSchema extends Schema {
  up () {
    this.create('element_notes', (table) => {
      table.increments('id')
      table.integer('element_id').notNullable().unsigned().references('id').inTable('elements')
      table.text('content').notNullable()
      table.timestamps()
    })
  }

  down () {
    this.drop('element_notes')
  }
}

module.exports = ElementNotesSchema
